Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpresttoken.php
Go to the documentation of this file.
1 <?php
12 // Autogenerated PersistentObject definition
13
14 $def = new ezcPersistentObjectDefinition();
15 $def->table = 'ezprest_token';
16 $def->class = 'ezpRestToken';
17
18 $def->idProperty = new ezcPersistentObjectIdProperty();
19 $def->idProperty->columnName = 'id';
20 $def->idProperty->propertyName = 'id';
21 $def->idProperty->generator = new ezcPersistentGeneratorDefinition( 'ezcPersistentManualGenerator' );
22 $def->idProperty->propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING;
23
24 $def->properties['refresh_token'] = new ezcPersistentObjectProperty();
25 $def->properties['refresh_token']->columnName = 'refresh_token';
26 $def->properties['refresh_token']->propertyName = 'refresh_token';
27 $def->properties['refresh_token']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING;
28
29 $def->properties['expirytime'] = new ezcPersistentObjectProperty();
30 $def->properties['expirytime']->columnName = 'expirytime';
31 $def->properties['expirytime']->propertyName = 'expirytime';
32 $def->properties['expirytime']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_INT;
33
34
35 $def->properties['client_id'] = new ezcPersistentObjectProperty();
36 $def->properties['client_id']->columnName = 'client_id';
37 $def->properties['client_id']->propertyName = 'client_id';
38 $def->properties['client_id']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING;
39
40 $def->properties['user_id'] = new ezcPersistentObjectProperty();
41 $def->properties['user_id']->columnName = 'user_id';
42 $def->properties['user_id']->propertyName = 'user_id';
43 $def->properties['user_id']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_INT;
44
45
46 $def->properties['scope'] = new ezcPersistentObjectProperty();
47 $def->properties['scope']->columnName = 'scope';
48 $def->properties['scope']->propertyName = 'scope';
49 $def->properties['scope']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING;
50
51 return $def;
52
53 ?>
$def
$def
Definition: ezpresttoken.php:14
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.